Bug 1210861 - kwin-5.2.2-1 release used bad upstream tarball
Summary: kwin-5.2.2-1 release used bad upstream tarball
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F22BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-04-10 18:27 UTC by Rex Dieter
Modified: 2015-11-02 01:38 UTC (History)
13 users (show)

Fixed In Version: kwin-5.2.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-17 02:30:12 UTC


Attachments (Terms of Use)

Description Rex Dieter 2015-04-10 18:27:13 UTC
kwin-5.2.2 initial source tarball released to packagers was bad, but was inadvertantly used in kwin-5.2.2-1 builds.

It's badness is evident in eventual performance slowdowns, occasional freezes, and odd window management (sometimes a big X would appear on screen for no particular reason).

kwin-5.2.2-2 builds used the final/fixed source tarball and does not suffer from these problems.

Comment 1 Fedora Update System 2015-04-10 18:27:43 UTC
kwin-5.2.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-5686/kwin-5.2.2-2.fc22

Comment 2 Fedora Blocker Bugs Application 2015-04-10 18:35:56 UTC
Proposed as a Blocker for 22-beta by Fedora user rdieter using the blocker tracking app because:

 important for kde spin, a bad upstream tarball (released early to packagers only) was used for kwin-5.2.2-1 build currently in f22 repos, and we didn't notice until shortly before freeze went into affect.  The bad symptoms are outlined in the bug, and kwin-5.2.2-2 uses the better final released source tarball (which does not suffer from the problems).

Comment 3 Adam Williamson 2015-04-12 23:26:19 UTC
Since the image made it through  validation testing OK, which indicates it's good enough for initial deployment at least, I'm inclined to vote -1 blocker / +1 FE.

Comment 4 Jaroslav Reznik 2015-04-13 13:34:09 UTC
Same here, -1 blocker/+1 FE - I did not observe any of the issues mentioned above during my testing.

Comment 5 Stephen Gallagher 2015-04-13 13:54:53 UTC
I agree. -1 Blocker, +1 FE

Comment 6 Kalev Lember 2015-04-13 15:18:41 UTC
-1 blocker, +1 FE

Comment 7 Dan Mossor [danofsatx] 2015-04-13 15:45:56 UTC
I didn't notice anything specific to 5.2.2-1, and 5.2.2-2 doesn't fix the issues I'm currently seeing so -1 Block, +1 FE.

Comment 8 Adam Williamson 2015-04-13 16:15:35 UTC
Looks like we have a pretty solid -1/+1 vote on this one. Note we're doing an RC2 today so this will probably get in.

Comment 9 Fedora Update System 2015-04-17 02:30:12 UTC
kwin-5.2.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.